Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159099 - /etc/vpnc/vpnc-script assumes root's $PATH
Summary: /etc/vpnc/vpnc-script assumes root's $PATH
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: vpnc
Version: rawhide
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Tomas Mraz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-29 16:58 UTC by Miloslav Trmač
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: vpnc-0.3.3-2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-30 08:28:54 UTC


Attachments (Terms of Use)

Description Miloslav Trmač 2005-05-29 16:58:06 UTC
Description of problem:
/etc/vpnc/vpnc-script refers to utilities installed in /sbin and /usr/sbin
without making sure the PATH points to them; this causes a failure to set
up routing when such a PATH is not set (e.g. when using sudo).

Version-Release number of selected component (if applicable):
vpnc-0.3.3-1

Additional info:
Just add 
  PATH=/sbin:/usr/sbin:$PATH
at the beginning of /etc/vpnc/vpnc-script

Comment 1 Tomas Mraz 2005-05-30 08:28:54 UTC
Fixed as suggested, rebuild requested.



Note You need to log in before you can comment on or make changes to this bug.